Bug 1968913 - F35FailsToInstall: python3-can
Summary: F35FailsToInstall: python3-can
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-can
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On: 1899122
Blocks: F35FailsToInstall PYTHON3.10 F35BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2021-06-07 23:14 UTC by Miro Hrončok
Modified: 2021-08-30 21:41 UTC (History)
4 users (show)

Fixed In Version: python-can-3.3.4-5.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-30 21:41:10 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2021-06-07 23:14:35 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

Your package (python-can) Fails To Install in Fedora 35:

can't install python3-can:
  - nothing provides python3.10dist(aenum) needed by python3-can-3.3.4-3.fc35.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Miro Hrončok 2021-06-07 23:25:07 UTC
This bugzilla is likely a fallout from the Python 3.10 rebuild.

If your package (or some of the dependencies it has) failed to rebuild during the Python 3.10 rebuild, they now fail to install. To fix this, packages need to be rebuilt in Rawhide.

We will slowly triage the bugzillas, but we'd appreciate your help.

If you know this is blocked by an existing reported build failure or another package not yet rebuilt with Python 3.10, please mark it as such by using the "Depends On"/"Blocks" bugzilla fields. That will help us determine what failures to prioritize.

Thank you and sorry for the inconvenience. Let me know if you need any help.

Comment 2 Miro Hrončok 2021-06-14 14:19:56 UTC
I'm marking this bugzilla as ASSIGNED to avoid further automatic NEEDINFOs. There is nothing to do here expect building (and fixing) the packages that block this.

Comment 3 Miro Hrončok 2021-06-14 14:20:55 UTC
I'm marking this bugzilla as ASSIGNED to avoid further automatic NEEDINFOs. There is nothing to do here expect building (and fixing) the packages that block this.

Comment 4 Ben Cotton 2021-08-10 13:06:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 5 Fedora Update System 2021-08-25 09:11:02 UTC
FEDORA-2021-d35656e3d5 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d35656e3d5

Comment 6 Miro Hrončok 2021-08-25 09:46:58 UTC
Nominating as freeze exception as the package does not even install without the fix.

Comment 7 Fedora Update System 2021-08-25 18:36:52 UTC
FEDORA-2021-d35656e3d5 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d35656e3d5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d35656e3d5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Miro Hrončok 2021-08-25 22:54:16 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 36.

Thanks for taking care of it!

Comment 9 Lukas Ruzicka 2021-08-27 12:02:57 UTC
I can confirm that the package can now be installed.

Comment 10 Geoffrey Marr 2021-08-30 16:10:41 UTC
The decision to classify this bug as an "AcceptedFreezeException (Beta)" was made as it is a noticeable issue that cannot be fixed with an update.

Comment 11 Fedora Update System 2021-08-30 21:41:10 UTC
FEDORA-2021-d35656e3d5 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.